%define name librep
%define version 0.12.4
%define release 4mdk

Name:		%{name}
Summary:	An embeddable LISP environment
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Other
BuildRequires: gmp-devel gdbm-devel gpm-devel ncurses-devel readline-devel
URL:		http://librep.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
PreReq:		/sbin/install-info
BuildPreReq:	gmp-devel, gdbm-devel, readline-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a lightweight LISP environment for UNIX. It contains a LISP 
interpreter, byte-code compiler and virtual machine. Applications may use the 
LISP interpreter as an extension language, or it may be used for standalone 
scripts.

Originally inspired by Emacs Lisp, the language dialect combines many of the 
elisp features while trying to remove some of the main deficiencies, with 
features from Common Lisp and Scheme.


%package devel
Summary:	librep include files and link libraries
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
Link libraries and C header files for librep development.


%prep
%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%configure --with-readline
make host_type=%{_target_platform}


%install
%makeinstall host_type=%{_target_platform} aclocaldir=%{buildroot}%{_prefix}/share/aclocal

find $RPM_BUILD_ROOT -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > $RPM_BUILD_DIR/tmp-filelist

%post
/sbin/ldconfig
%_install_info librep.info


%preun
%_remove_install_info librep.info


%postun 
/sbin/ldconfig


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root,0755)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_datadir}/rep/%{version}/*
%{_libexecdir}/rep/%{version}/%{_target_platform}
%{_infodir}/librep*

%files devel
%defattr (-,root,root,0755)
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.so
%{_includedir}/rep.h
%{_includedir}/rep_*.h
%{_libexecdir}/rep/%{_target_platform}/libtool
%{_libexecdir}/rep/%{_target_platform}/rules.mk
%{_datadir}/aclocal/rep.m4


%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.4-4mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-3mdk
- force version dependencies
- remove Packager

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-2mdk
- rebuild with new rpm

* Fri Jul 21 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-1mdk
- 0.12.4

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-3mdk
- rebuild for directory changes

* Thu Jul 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-2mdk
- fix bad preun

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-1mdk
- 0.12.3
- more macroization

* Sun Jul  9 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.2-1mdk
- 0.12.2
- added --with-readline
- many specfile cleanups
- macroization
- removed patch to compile with gmp 3.x

* Sat Jun 24 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.12.1-1mdk
- 0.12.1
- changed files from _host to _target_cpu (thanks Chmouel)

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.11.3-2mdk
- build with libgmp 3.0.1
- include patch to compile with gmp 3.x

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix group
- specfile fixes, should work with helixcode for gnome
- 0.11.3

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.11.1

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.11

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
